Loading...
Searching...
No Matches
Opm::ConnectionIndexMap Class Reference

Connection index mappings. More...

`#include <ConnectionIndexMap.hpp>`

## Public Member Functions

| ConnectionIndexMap (const std::size_t numConns)
| Constructor.
void | addActiveConnection (const int connIdx, const bool connIsOpen)
| Enumerate/map new active connection.
const std::vector< int > & | local () const
| Get local connection IDs/indices of every existing well connection.
int | global (const int connIdx) const
| Get global connection ID of local (on-rank) connection.
int | open (const int connIdx) const
| Get open connection ID of local (on-rank) connection.

## Detailed Description

Connection index mappings.

## Constructor & Destructor Documentation

## ConnectionIndexMap()

Opm::ConnectionIndexMap::ConnectionIndexMap | ( | const std::size_t | numConns | ) |

inline explicit

Constructor.

Parameters

  [in] | numConns | Total number of well connections, both open and closed/shut. Typically WellConnections::size() .

## Member Function Documentation

## addActiveConnection()

void Opm::ConnectionIndexMap::addActiveConnection | ( | const int | connIdx,
|  | const bool | connIsOpen )

inline

Enumerate/map new active connection.

Parameters

  [in] | connIdx | Global well connection index. Must be an integer in the range 0..numConns-1.
  [in] | connIsOpen | Whether or not the connection is open/flowing.

## global()

int Opm::ConnectionIndexMap::global | ( | const int | connIdx | ) | const

inline

Get global connection ID of local (on-rank) connection.

Parameters

  [in] | connIdx | Local connection index.

Returns
  Global connection ID of `connIdx`.

## local()

const std::vector< int > & Opm::ConnectionIndexMap::local | ( |  | ) | const

inline

Get local connection IDs/indices of every existing well connection.

Negative value (-1) for connections that don't intersect the current rank.

## open()

int Opm::ConnectionIndexMap::open | ( | const int | connIdx | ) | const

inline

Get open connection ID of local (on-rank) connection.

Parameters

  [in] | connIdx | Local connection index.

Returns
  Open connection ID of `connIdx`. Integer in the range 0..open connections - 1 if the connection is open or negative value (-1) otherwise.

The documentation for this class was generated from the following file:

- opm/simulators/wells/ConnectionIndexMap.hpp